﻿// Copyright 2009-2012 Oliver Sturm <oliver@sturmnet.org> All rights reserved. 

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DynamicDB;

namespace DynamicDBDemo {
  class Program {
    static void Main(string[] args) {
      //string connStr = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=..\..\..\TestDB.mdb";
      string connStr = @"Provider=SQLOLEDB;Server=.;Initial Catalog=TestDB;Integrated Security=SSPI";


      dynamic testDB = new DynamicDatabase(connStr);
      foreach (dynamic record in testDB.TestData) {
        Console.WriteLine("IntValue: {0}, StrValue: {1}",
          record.IntValue, record.StrValue);
      }

      Console.WriteLine("Sum of int values: " + 
        testDB.TestData.Fields.IntValue.Sum());
    }
  }
}
